
# Digital Twins along the product lifecycle: A systematic literature review of applications in manufacturing

## [version 2; peer review: 2 approved, 2 approved with reservations]

Guillaume Pronost

Frédérique Mayer

, 

Mauricio Camargo

, 

Laurent Dupont



ArticleAuthorsMetrics

## Abstract

#### Background

The evolution of product expectations in the era of mass personalization implies an improvement and a better control of individualized creation and production processes throughout the product lifecycle. The application of the digital twin seems to be a favoured solution in this context, but its study during the lifecycle of a product has only been partially evoked in the literature.

#### Methods

The purpose of this research is to identify the leverages and barriers to support the digital twin diffusion in the manufacturing industry from a technological, operational, and social standpoint. To determine these elements, this paper will identify current digital twins applications in the literature under two main dimensions: the type of digital twin, and its applications along the product lifecycle. To achieve this analysis a systematic literature review was carried out. The publications selection was based on the presence in these of a case of application of a digital twin with a focus in the Manufacturing sector. Within this review, 188 scientific papers were comprehensively compiled and analyzed.

#### Results

Results showed that although the term digital twin is widely used, the deployment of digital twin technologies in manufacturing is still at an early stage as most of the reported digital twin applications were in fact prototypes focused on the real-time observability of the physical system, either for optimization or predictive maintenance. Moreover, regarding the product lifecycle, most of the applications have been focused on the production and operational phases whereas those at the design and disposal phases are still limited.

#### Conclusions

This paper presents an original approach to the study of digital twins, focusing simultaneously on the type of digital twin, the application area and the lifecycle phase. Under the basis of the obtained results, future perspectives on the use of digital twins along the lifecycle are proposed.